'use strict';

var _module = require('../module');

var _module2 = _interopRequireDefault(_module);

var _uploadProgressBar = require('./upload-progress-bar.html');

var _uploadProgressBar2 = _interopRequireDefault(_uploadProgressBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_module2.default.directive('avUploadProgressBar', function () {
  return {
    restrict: 'E',
    scope: {
      upload: '=',
      errorcallback: '='
    },
    templateUrl: _uploadProgressBar2.default,
    link: function link(scope) {
      scope.verifyPassword = function () {
        scope.upload.sendPassword(scope.upload.password);
      };
      scope.percentage = 0;

      var update = function update() {
        scope.percentage = scope.upload.percentage;
      };

      var error = function error() {
        scope.error = true;
        return scope.errorcallback(scope.upload);
      };

      var success = function success() {
        scope.error = false;
        scope.percentage = 100;
      };

      scope.upload.onProgress.push(function () {
        return scope.$applyAsync(update);
      });
      scope.upload.onSuccess.push(function () {
        return scope.$applyAsync(success);
      });
      scope.upload.onError.push(function () {
        return scope.$applyAsync(error);
      });
    }
  };
});